replaced libcompress-zlib-perl dependency with libio-compress-perl
authorChris Butler <chrisb@debian.org>
Tue, 12 Jun 2012 00:16:23 +0000 (01:16 +0100)
committerChris Butler <chrisb@debian.org>
Tue, 12 Jun 2012 00:32:44 +0000 (01:32 +0100)
debian/changelog
debian/control

index f97b98f..1eda4ce 100644 (file)
@@ -7,6 +7,7 @@ xmltv (0.5.62-1) UNRELEASED; urgency=low
       libdatetime-format-iso8601-perl
   * Added liblinux-dvb-perl build-dependency back for linux architectures
     (closes: #665455)
+  * replaced libcompress-zlib-perl dependency with libio-compress-perl
 
  -- Chris Butler <chrisb@debian.org>  Sun, 03 Jun 2012 14:07:29 +0100
 
index 8bff49d..70a56e1 100644 (file)
@@ -3,7 +3,7 @@ Section: interpreters
 Priority: optional
 Maintainer: Chris Butler <chrisb@debian.org>
 Build-Depends: debhelper (>= 7.0.50~)
-Build-Depends-Indep: perl, perl-modules, libwww-perl (>= 5.65), libxml-parser-perl (>= 2.34), libxml-twig-perl (>= 3.28), libxml-writer-perl (>= 0.6), libdate-manip-perl (>= 5.42a), libarchive-zip-perl (>= 1.14), libcompress-zlib-perl, libhtml-parser-perl (>= 3.34), libhtml-tableextract-perl, libhtml-tree-perl (>= 3.17), libhttp-cache-transparent-perl (>= 1.0), libio-stringy-perl, libsoap-lite-perl, libterm-readkey-perl, libtext-kakasi-perl, perl-tk, libtk-tablematrix-perl, libwww-mechanize-perl (>= 1.02), libxml-libxml-perl, libterm-progressbar-perl (>= 2.09), liblingua-preferred-perl (>= 0.2.4), libunicode-string-perl, liblog-tracemessages-perl, libfile-slurp-perl, libxml-simple-perl, libtext-bidi-perl, libxml-dom-perl, libxml-libxslt-perl, libdatetime-format-strptime-perl, libparse-recdescent-perl, libtext-iconv-perl, libjson-perl, libdata-dump-perl, liblinux-dvb-perl [linux-any], libdatetime-perl, libdatetime-timezone-perl, libdatetime-format-iso8601-perl
+Build-Depends-Indep: perl, perl-modules, libwww-perl (>= 5.65), libxml-parser-perl (>= 2.34), libxml-twig-perl (>= 3.28), libxml-writer-perl (>= 0.6), libdate-manip-perl (>= 5.42a), libarchive-zip-perl (>= 1.14), libio-compress-perl, libhtml-parser-perl (>= 3.34), libhtml-tableextract-perl, libhtml-tree-perl (>= 3.17), libhttp-cache-transparent-perl (>= 1.0), libio-stringy-perl, libsoap-lite-perl, libterm-readkey-perl, libtext-kakasi-perl, perl-tk, libtk-tablematrix-perl, libwww-mechanize-perl (>= 1.02), libxml-libxml-perl, libterm-progressbar-perl (>= 2.09), liblingua-preferred-perl (>= 0.2.4), libunicode-string-perl, liblog-tracemessages-perl, libfile-slurp-perl, libxml-simple-perl, libtext-bidi-perl, libxml-dom-perl, libxml-libxslt-perl, libdatetime-format-strptime-perl, libparse-recdescent-perl, libtext-iconv-perl, libjson-perl, libdata-dump-perl, liblinux-dvb-perl [linux-any], libdatetime-perl, libdatetime-timezone-perl, libdatetime-format-iso8601-perl
 Standards-Version: 3.9.2
 Vcs-Browser: http://git.crustynet.org.uk/xmltv.git
 Vcs-Git: git://git.crustynet.org.uk/xmltv.git
@@ -29,7 +29,7 @@ Package: libxmltv-perl
 Section: perl
 Architecture: all
 Depends: perl, perl-modules, libwww-perl (>= 5.65), libxml-parser-perl (>= 2.34), libxml-twig-perl (>= 3.28), libxml-writer-perl (>= 0.6), libdate-manip-perl (>= 5.42a), libfile-slurp-perl, ${misc:Depends}, ${perl:Depends}
-Recommends: xmltv-util, libterm-progressbar-perl (>= 2.09), libcompress-zlib-perl, liblingua-preferred-perl (>= 0.2.4)
+Recommends: xmltv-util, libterm-progressbar-perl (>= 2.09), libio-compress-perl, liblingua-preferred-perl (>= 0.2.4)
 Suggests: xmltv-gui, liblog-tracemessages-perl
 Conflicts: xmltv (<< 0.5.5-1)
 Replaces: xmltv (<< 0.5.5-1)
@@ -41,7 +41,7 @@ Description: Perl libraries related to the XMLTV file format for TV listings
 
 Package: xmltv-util
 Architecture: all
-Depends: perl, perl-modules, libxmltv-perl (= ${source:Version}), libwww-perl (>= 5.65), libxml-parser-perl (>= 2.34), libxml-twig-perl (>= 3.28), libxml-writer-perl (>= 0.6), libdate-manip-perl (>= 5.42a), libarchive-zip-perl (>= 1.14), libcompress-zlib-perl, libhtml-parser-perl (>= 3.34), libhtml-tableextract-perl, libhtml-tree-perl (>= 3.17), libhttp-cache-transparent-perl (>= 1.0), libio-stringy-perl, libsoap-lite-perl, libterm-readkey-perl, libwww-mechanize-perl (>= 1.02), libxml-libxml-perl, libtext-bidi-perl, libxml-dom-perl, libxml-libxslt-perl, libdatetime-format-strptime-perl, libparse-recdescent-perl, libtext-iconv-perl, libjson-perl, libdata-dump-perl, libdatetime-perl, libdatetime-timezone-perl, libdatetime-format-iso8601-perl, ${misc:Depends}, ${perl:Depends}
+Depends: perl, perl-modules, libxmltv-perl (= ${source:Version}), libwww-perl (>= 5.65), libxml-parser-perl (>= 2.34), libxml-twig-perl (>= 3.28), libxml-writer-perl (>= 0.6), libdate-manip-perl (>= 5.42a), libarchive-zip-perl (>= 1.14), libio-compress-perl, libhtml-parser-perl (>= 3.34), libhtml-tableextract-perl, libhtml-tree-perl (>= 3.17), libhttp-cache-transparent-perl (>= 1.0), libio-stringy-perl, libsoap-lite-perl, libterm-readkey-perl, libwww-mechanize-perl (>= 1.02), libxml-libxml-perl, libtext-bidi-perl, libxml-dom-perl, libxml-libxslt-perl, libdatetime-format-strptime-perl, libparse-recdescent-perl, libtext-iconv-perl, libjson-perl, libdata-dump-perl, libdatetime-perl, libdatetime-timezone-perl, libdatetime-format-iso8601-perl, ${misc:Depends}, ${perl:Depends}
 Recommends: libterm-progressbar-perl (>= 2.09), liblingua-preferred-perl (>= 0.2.4), libunicode-string-perl
 Suggests: xmltv-gui, liblog-tracemessages-perl, libtext-kakasi-perl, liblinux-dvb-perl
 Conflicts: xmltv (<< 0.5.5-1), libxmltv-perl (<< 0.5.5-1)